coupang
GET/v2/providers/rg_open_api/apis/api/v1/vendors/{vendorId}/rg/inventory/summaries2609170000

RG Inventory API

# 01

Summary

RG Inventory API

# 02

Details

Available buyer market: Korean

The Rocket Growth Inventory Summary API for local Korean Rocket Warehouses allows you to retrieve inventory information of Rocket Warehouse products within Coupang’s logistics network through programmatic integration.

It returns a list of inventory summaries. The returned summary depends on whether the vendorIdItemId parameter is provided:

  • If the vendorIdItemId parameter is omitted, the API will return inventory summaries for all items with available details.
  • If the vendorIdItemId parameter is provided, the API will return inventory summaries only for the specified vendorIdItemId. The nextToken parameter will be ignored.
  • If both vendorId and nextToken parameters are provided, the API will return inventory summaries for all items starting from the nextToken.

Important Note:
Please limit the frequency of API calls to no more than 50 times per minute, otherwise, you may encounter errors due to excessive requests.

Path

GET/v2/providers/rg_open_api/apis/api/v1/vendors/{vendorId}/rg/inventory/summaries

Example endpoint

https://api-gateway.coupang.com/v2/providers/rg_open_api/apis/api/v1/vendors/{vendorId}/rg/inventory/summaries
# 03

Path parameters

NameTypeDescription
vendorId*string
The seller's vendor id ( Initial with letter A, like Axxxx)
# 04

Query parameters

NameTypeDescription
vendorItemIdstring
Used to query the inventory summary of a specific seller's SKU via a single vendorItemId.
nextTokenstring
A string token returned in the response of your previous request, used for pagination.
# 05

Response body

Response message

NameTypeDescription
codeinteger
Result code:

SUCCESS/ERROR
messagestring
Result message
dataobject[]
Valid information
vendorId
data[].vendorId
string
A unique code assigned to the seller by Coupang
vendorItemId
data[].vendorItemId
integer
A unique identifier for a single product
externalSkuId
data[].externalSkuId
integer
SKU ID defined by the seller
inventoryDetails
data[].inventoryDetails
object
Inventory details for the specific SKU
totalOrderableQuantity
data[].inventoryDetails.totalOrderableQuantity
integer
Total number of orderable units for the product
salesCountMap
data[].salesCountMap
object
Sales information
SALES_COUNT_LAST_THIRTY_DAYS
data[].salesCountMap.SALES_COUNT_LAST_THIRTY_DAYS
integer
Number of units sold in the past 30 days
nextTokenstring
Pagination token

Response Example

{
  "code": 200,
  "message": "SUCCESS",
  "data": [
    {
      "vendorId": "A00123456",
      "vendorItemId": 70000000000,
      "externalSkuId": 10012345,
      "inventoryDetails": {
        "totalOrderableQuantity": 10
      },
      "salesCountMap": {
        "SALES_COUNT_LAST_THIRTY_DAYS": 15
      }
    },
    {
      "vendorId": "A00123456",
      "vendorItemId": 70000000001,
      "externalSkuId": 10012346,
      "inventoryDetails": {
        "totalOrderableQuantity": 20
      },
      "salesCountMap": {
        "SALES_COUNT_LAST_THIRTY_DAYS": 25
      }
    }
  ],
  "nextToken": "2"
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400

Request has missing or invalid parameters and cannot be parsed.

The request is missing parameters or contains invalid parameters and cannot be parsed. Please provide the required parameters.

429429

Too Many Requests

Stop requesting and wait for a while to request again